﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Data.SqlClient;
using System.Web.Services;
using System.Collections.Generic;

public partial class Default : System.Web.UI.Page 
{
    protected void Page_Init(object sender, System.EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            AddTab("FirstTab");
            AddPageView(RadTabStrip1.FindTabByText("FirstTab"));
            AddTab("Create New Tab");
           
        }
    }

    private void AddTab(string tabName)
    {
        RadTab tab = new RadTab();
        tab.Text = tabName;
        tab.Width = Unit.Pixel(200);
        RadTabStrip1.Tabs.Add(tab);
        int currentIndex = int.Parse(hiddenField.Value) + 1;
        hiddenField.Value = currentIndex.ToString();
    }

    protected void RadMultiPage1_PageViewCreated(object sender, RadMultiPageEventArgs e)
    {
        string userControlName = "WebUserControl.ascx";

        Control userControl = Page.LoadControl(userControlName);
        userControl.ID = e.PageView.ID + "_userControl";

        e.PageView.Controls.Add(userControl);
    }

    private void AddPageView(RadTab tab)
    {
        RadPageView pageView = new RadPageView();
        pageView.ID = tab.Text + hiddenField.Value;
        RadMultiPage1.PageViews.Add(pageView);
        tab.PageViewID = pageView.ID;
    }

    protected void RadTabStrip1_TabClick(object sender, RadTabStripEventArgs e)
    {
        AddTab("New Tab");
        int lastItemIndex = RadTabStrip1.Tabs.Count;
        AddPageView(RadTabStrip1.Tabs[lastItemIndex - 1]);
        RadTabStrip1.Tabs[lastItemIndex - 1].PageView.Selected = true;
    }

    
    
    
}
